osl::eval::ml::SimplePin Class Reference

`#include <pin.h>`

## Public Member Functions

| SimplePin ()
int | eval (const NumEffectState &state, PieceMask black_mask, PieceMask white_mask) const

## Static Public Member Functions

static void | setUp (const Weights &weights)

## Static Private Attributes

static CArray< int, PTYPE_SIZE > | table

## Detailed Description

Definition at line 17 of file pin.h.

## Constructor & Destructor Documentation

## SimplePin()

osl::eval::ml::SimplePin::SimplePin | ( |  | ) |

inline

Definition at line 21 of file pin.h.

## Member Function Documentation

## eval()

int osl::eval::ml::SimplePin::eval | ( | const NumEffectState & | state,
|  | PieceMask | black_mask,
|  | PieceMask | white_mask ) const

Definition at line 20 of file eval_pin.cc.

References osl::PieceMask::any(), osl::SimpleState::pieceOf(), osl::Piece::ptype(), table, and osl::container::PieceMask64::takeOneBit().

## setUp()

void osl::eval::ml::SimplePin::setUp | ( | const Weights & | weights | ) |

static

Definition at line 10 of file eval_pin.cc.

References osl::eval::ml::Weights::dimension(), table, and osl::eval::ml::Weights::value().

## Member Data Documentation

## table

osl::CArray< int, osl::PTYPE_SIZE > osl::eval::ml::SimplePin::table

static private

Definition at line 19 of file pin.h.

Referenced by eval(), and setUp().

The documentation for this class was generated from the following files:

- pin.h
- eval_pin.cc